Bug 593219 - [abrt] crash in setroubleshoot-server-2.2.83-1.fc13: browser.py:357:on_copy_button_clicked:AttributeError: BrowserApplet instance has no attribute 'current_alert'
[abrt] crash in setroubleshoot-server-2.2.83-1.fc13: browser.py:357:on_copy_b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
abrt_hash:9d5f778e
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-18 04:31 EDT by Tommy He
Modified: 2011-06-27 12:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:27:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (572 bytes, text/plain)
2010-05-18 04:31 EDT, Tommy He
no flags Details

  None (edit)
Description Tommy He 2010-05-18 04:31:18 EDT
abrt 1.1.0 detected a crash.

architecture: i686
cmdline: /usr/bin/python -E /usr/bin/sealert -s
component: setroubleshoot
executable: /usr/bin/sealert
kernel: 2.6.33.4-95.fc13.i686.PAE
package: setroubleshoot-server-2.2.83-1.fc13
reason: browser.py:357:on_copy_button_clicked:AttributeError: BrowserApplet instance has no attribute 'current_alert'
release: Fedora release 13 (Goddard)

backtrace
-----
browser.py:357:on_copy_button_clicked:AttributeError: BrowserApplet instance has no attribute 'current_alert'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/setroubleshoot/browser.py", line 357, in on_copy_button_clicked
    self.clipboard.set_text(self.alert_list[self.current_alert].format_text())
AttributeError: BrowserApplet instance has no attribute 'current_alert'

Local variables in innermost frame:
widget: <gtk.Button object at 0x9a7ddc4 (GtkButton at 0x94b7970)>
self: <setroubleshoot.browser.BrowserApplet instance at 0x9a937ac>

comment
-----
/var/log/setroubleshoot/setroubleshootd shows the following error:
[xml.ERROR] read_xml_file() libxml2.parserError: xmlParseFile() failed

How to reproduce
-----
1. Double click ppt file to open with OpenOffice.org downloaded from Oracle
2. SEtroubleshoot alerts but there is no words in the message window.
3. Click the copy to clipboard button
Comment 1 Tommy He 2010-05-18 04:31:21 EDT
Created attachment 414772 [details]
File: backtrace
Comment 3 Daniel Walsh 2010-10-07 09:46:22 EDT
I believe this is fixed in setroubleshoot-2.2.102-1.fc13
Comment 4 Eddie Lania 2010-10-19 16:46:19 EDT
Oct 19 21:51:05 hestia yum[26940]: Updated: setroubleshoot-server-2.2.102-1.fc13.i686
Oct 19 21:51:38 hestia yum[26940]: Updated: setroubleshoot-2.2.102-1.fc13.i686
Oct 19 21:57:48 hestia setroubleshoot: [xml.ERROR] read_xml_file() libxml2.parserError: xmlParseFile() failed
Comment 5 Daniel Walsh 2010-10-20 08:46:33 EDT
Can you make sure setroubleshootd is not running, then 

> /var/lib/setroubleshoot/audit_listener_database.xml

It looks like you have some corruption in the xml file.
Comment 6 Eddie Lania 2010-10-20 14:19:07 EDT
After I have done that and I reboot the system:

Oct 20 20:07:51 hestia setroubleshoot: SELinux is preventing /usr/sbin/dkim-filter "read" access on /var/lib/dkim-milter/internalhosts. For complete SELinux messages. run sealert -l ec947202-13db-4341-947e-1d025792e274
Oct 20 20:07:51 hestia setroubleshoot: SELinux is preventing /usr/sbin/dkim-filter "read" access on /var/lib/dkim-milter/internalhosts. For complete SELinux messages. run sealert -l ec947202-13db-4341-947e-1d025792e274
Oct 20 20:07:51 hestia setroubleshoot: SELinux is preventing /usr/sbin/dkim-filter "getattr" access on /var/lib/dkim-milter/internalhosts. For complete SELinux messages. run sealert -l 15f88d8f-3951-4bd0-8f5d-8e18afaf73f0
Oct 20 20:07:51 hestia setroubleshoot: SELinux is preventing /usr/libexec/gam_server "search" access on #030#005. For complete SELinux messages. run sealert -l 1203de00-e81c-4e78-a47f-f98ce72097d4
Oct 20 20:07:51 hestia setroubleshoot: SELinux is preventing /usr/libexec/gam_server "search" access on #030#005. For complete SELinux messages. run sealert -l 1203de00-e81c-4e78-a47f-f98ce72097d4
Oct 20 20:07:52 hestia setroubleshoot: SELinux is preventing /usr/libexec/gam_server "search" access on #030#005. For complete SELinux messages. run sealert -l 1203de00-e81c-4e78-a47f-f98ce72097d4
Oct 20 20:07:52 hestia setroubleshoot: SELinux is preventing /usr/libexec/gam_server "getattr" access on /proc//cmdline. For complete SELinux messages. run sealert -l 3c39fc1d-1213-415e-97c9-12aac86b031f
Oct 20 20:07:52 hestia setroubleshoot: SELinux is preventing /usr/libexec/gam_server "read" access on /var/lib/rpm. For complete SELinux messages. run sealert -l 077eeed8-dae3-48fd-8cfd-b16512077f27
Oct 20 20:07:52 hestia setroubleshoot: SELinux is preventing /usr/libexec/gam_server "open" access on /var/lib/rpm. For complete SELinux messages. run sealert -l 51cf4dda-0205-45ee-8266-a12250560cae
Oct 20 20:07:52 hestia setroubleshoot: SELinux is preventing /usr/libexec/gam_server "search" access on /var/lib/rpm. For complete SELinux messages. run sealert -l cabf624c-9c62-487e-98a4-ca53d2d8cb27
Oct 20 20:07:53 hestia setroubleshoot: SELinux is preventing /usr/libexec/gam_server "read" access on /var/cache/yum. For complete SELinux messages. run sealert -l 9360e011-0c1a-44d9-88df-edd732e074ed
Oct 20 20:07:53 hestia setroubleshoot: SELinux is preventing /usr/libexec/gam_server "open" access on /var/cache/yum. For complete SELinux messages. run sealert -l bb0be2a8-3ecf-4423-8a60-57dfa0914993
Oct 20 20:07:53 hestia setroubleshoot: SELinux is preventing /usr/libexec/gam_server "search" access on /var/cache/yum. For complete SELinux messages. run sealert -l d49ed10c-ada2-4212-a21d-531a4d3e2017
Oct 20 20:07:53 hestia setroubleshoot: SELinux is preventing /usr/libexec/gam_server "search" access on /var/cache/yum. For complete SELinux messages. run sealert -l d49ed10c-ada2-4212-a21d-531a4d3e2017

And as soon as I log in:


Oct 20 20:10:13 hestia setroubleshoot: [xml.ERROR] read_xml_file() libxml2.parserError: xmlParseFile() failed

And setroubleshoot reports there are no alerts to view.
Comment 7 Eddie Lania 2010-10-20 14:32:56 EDT
[root@hestia ~]# rpm -qa *setroubleshoot*
setroubleshoot-server-2.2.102-1.fc13.i686
setroubleshoot-2.2.102-1.fc13.i686
setroubleshoot-plugins-2.1.61-1.fc13.noarch
[root@hestia ~]# rpm -qa *selinux*
selinux-policy-3.7.19-65.fc13.noarch
selinux-policy-targeted-3.7.19-65.fc13.noarch
libselinux-2.0.94-2.fc13.i686
libselinux-utils-2.0.94-2.fc13.i686
libselinux-python-2.0.94-2.fc13.i686
[root@hestia ~]# rpm -qa *setools*
setools-libs-3.3.7-7.fc13.i686
setools-gui-3.3.7-7.fc13.i686
setools-libs-tcl-3.3.7-7.fc13.i686
setools-console-3.3.7-7.fc13.i686
setools-3.3.7-7.fc13.i686
setools-libs-python-3.3.7-7.fc13.i686
Comment 8 Eddie Lania 2010-10-20 14:46:12 EDT
[root@hestia ~]# sealert -l ec947202-13db-4341-947e-1d025792e274
query_alerts error (1003): id (ec947202-13db-4341-947e-1d025792e274) not found

[root@hestia ~]# sealert -l 15f88d8f-3951-4bd0-8f5d-8e18afaf73f0
query_alerts error (1003): id (15f88d8f-3951-4bd0-8f5d-8e18afaf73f0) not found

[root@hestia ~]# sealert -l 1203de00-e81c-4e78-a47f-f98ce72097d4
query_alerts error (1003): id (1203de00-e81c-4e78-a47f-f98ce72097d4) not found

[root@hestia ~]# sealert -l 3c39fc1d-1213-415e-97c9-12aac86b031f
query_alerts error (1003): id (3c39fc1d-1213-415e-97c9-12aac86b031f) not found

[root@hestia ~]# sealert -l 077eeed8-dae3-48fd-8cfd-b16512077f27
query_alerts error (1003): id (077eeed8-dae3-48fd-8cfd-b16512077f27) not found

[root@hestia ~]# sealert -l 51cf4dda-0205-45ee-8266-a12250560cae
query_alerts error (1003): id (51cf4dda-0205-45ee-8266-a12250560cae) not found

[root@hestia ~]# sealert -l 9360e011-0c1a-44d9-88df-edd732e074ed
query_alerts error (1003): id (9360e011-0c1a-44d9-88df-edd732e074ed) not found

[root@hestia ~]# sealert -l bb0be2a8-3ecf-4423-8a60-57dfa091499
query_alerts error (1003): id (bb0be2a8-3ecf-4423-8a60-57dfa091499) not found

[root@hestia ~]# sealert -l d49ed10c-ada2-4212-a21d-531a4d3e2017
query_alerts error (1003): id (d49ed10c-ada2-4212-a21d-531a4d3e2017) not found
Comment 9 Daniel Walsh 2010-10-20 17:02:18 EDT
Right because I cleared your database.
Comment 10 Eddie Lania 2010-12-10 10:34:59 EST
Okay, thank you.

regards, Eddie.
Comment 11 Bug Zapper 2011-06-02 09:53:04 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2011-06-27 12:27:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.